﻿
html, body, .app, fluent-design-system-provider {
    /*font-family: 'Microsoft YaHei UI',SimHei,'Helvetica Neue', Helvetica, Arial, sans-serif !important;*/
    margin: 0;
    padding: 0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    font-size: 14px !important;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif !important;
    user-select: none;
    -webkit-overflow-scrolling: touch;
}


.w-100 {
    width: 100%;
}

.topbar {
    width: 100%;
    background-color: #eee;
    height: 50px;
    min-height: 50px;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}

.main {
    flex: 1;
    display: flex;
    width: 100%;
    flex-shrink: 1;
    justify-content: space-between;
    flex-direction: row;
    overflow: hidden;
}

.sidebar {
    overflow-y: auto;
    margin-right: 1px;
    height: 100%;
    width: 170px;
    border-right: 1px solid #777;
    min-width: 170px;
}

.maincontent {
    flex: 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.btn {
    border: none;
}


svg {
    width: 100%;
    height: 100%;
}

.flexrow {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
}

.rowstart {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-right: 10px;
}

.rowend {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-right: 10px;
}

.fullcontent {
    overflow: hidden;
    height: 100%;
    flex: 1;
    padding-right: 3px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}
/*
.box-out {
    flex: 1;
    display: flex;
    width: 100%;
    height: 100%;
    overflow: hidden;
    flex-direction: column;
    justify-content: space-between;
}

.box-in {
    height: 100%;
    flex: 1;
    margin: 15px;
    overflow: hidden;
}*/
.flex-row {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: space-between;
    overflow: hidden;
    align-items: center;
}

.full {
    flex: 1;
    /*width: 100%;*/
    height: 100%;
    overflow: hidden;
}

.flex-row-h {
    display: flex;
    width: 100%;
    justify-content: space-between;
    overflow: hidden;
    align-items: center;
}

.flex-row-fix {
    display: flex;
    width: 100%;
    justify-content: space-between;
    overflow: hidden;
    align-items: center;
}

    .flex-row-fix div {
        flex: 1
    }

.flex-col {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}




.sb-loading.e-hide, .sb-body-overlay.e-hide {
    display: none;
    opacity: 0;
}

.sb-loading {
    width: 56px;
    height: 56px;
    position: absolute;
    top: calc(50% - 28px);
    left: calc(50% - 28px);
    z-index: 10000;
    border-radius: 50%;
    padding: 3px;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    overflow: hidden;
    display: inline-block;
    background: white;
}

.spinner-border {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    border: .25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0,0,0,0);
    white-space: nowrap;
    border: 0;
}

.circular {
    animation: rotate 2s linear infinite;
    height: 50px;
    width: 50px;
    border-radius: 50%;
}

.path {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
    stroke-linecap: round;
    stroke: #007bff;
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35;
    }

    100% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124;
    }
}


#blazor-alert {
    background: rgba(0,0,0,0.3);
    width: 100%;
    height: 100%;
    z-index: auto;
    display: none;
    bottom: 0;
    position: fixed;
}

#blazor-confirm {
    background: rgba(0,0,0,0.3);
    width: 100%;
    height: 100%;
    z-index: 10000;
    display: none;
    bottom: 0;
    position: fixed;
}

#blazor-error-ui {
    background: rgba(0,0,0,0.3);
    width: 100%;
    height: 100%;
    z-index: 10000;
    display: none;
    bottom: 0;
    position: fixed;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

#components-reconnect-modal {
    position: fixed;
    z-index: 999;
    background-color: rgba(0, 0, 0, 0.3);
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    display: none;
}

    #components-reconnect-modal.components-reconnect-show {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

        #components-reconnect-modal.components-reconnect-show .show {
            display: block;
            position: relative;
        }

        #components-reconnect-modal.components-reconnect-show .faild {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-show .reject {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-show .reconnect_btn {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-show .reload_btn {
            display: none;
        }

    #components-reconnect-modal.components-reconnect-failed {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

        #components-reconnect-modal.components-reconnect-failed .show {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-failed .faild {
            display: block;
        }

        #components-reconnect-modal.components-reconnect-failed .reject {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-failed .reconnect_btn {
            display: block;
            padding: 5px 10px;
            margin: 5px;
        }

        #components-reconnect-modal.components-reconnect-failed .reload_btn {
            display: block;
            padding: 5px 10px;
            margin: 5px;
        }

    #components-reconnect-modal.components-reconnect-rejected {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

        #components-reconnect-modal.components-reconnect-rejected .show {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-rejected .faild {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-rejected .reject {
            display: block;
        }

        #components-reconnect-modal.components-reconnect-rejected .reconnect_btn {
            display: none;
        }

        #components-reconnect-modal.components-reconnect-rejected .reload_btn {
            display: block;
            padding: 5px 10px;
            margin: 5px;
        }

    #components-reconnect-modal.components-reconnect-hide {
        display: none;
    }



.file {
    position: relative;
    display: inline-block;
    background: #D0EEFF;
    border: 1px solid #99D3F5;
    padding: 4px 12px;
    overflow: hidden;
    color: #1E88C7;
    text-decoration: none;
    text-indent: 0;
    line-height: 20px;
    width: 11rem;
}

    .file input {
        position: absolute;
        right: 0;
        top: 0;
        opacity: 0;
    }

    .file:hover {
        background: #AADFFD;
        border-color: #78C3F3;
        color: #004974;
        text-decoration: none;
    }



.text-primary {
    color: #0078D7;
}

.text-danger {
    color: #dc3545;
}

.text-success {
    color: forestgreen;
}

.bg-primary {
    background-color: #0078D7;
}

.bg-warning {
    /*background-color: rgb(255, 127, 36);*/
    background-color: orange;
    color: #000;
}

.tt {
    border: 1px solid red;
    padding: 10px;
}

.text-secondary {
    color: #5D5A58;
}

.bg-light {
    background-color: #EEE;
}

.p-2 {
    padding: 7px;
}

.p-5 {
    padding: 50px;
}

.pt-0 {
    padding-top: 0;
}

.pt-3 {
    padding-top: 30px;
}

.pt-5 {
    padding-top: 50px;
}

.pe-2 {
    padding-right: 7px;
}

.text-end {
    text-align: right;
}

.flexinput {
    display: flex;
    /*flex-grow:1;*/
    flex-wrap: wrap;
    justify-content: start;
    padding: 10px;
}

.inputitem {
    flex: 1;
    min-width: 10rem;
    margin: 5px;
}



.tablebox {
    flex: 1;
    border: 1px solid #777;
    height: 100%;
    overflow: auto;
}

    .tablebox table {
        width: 100%;
    }



    /*    .tablebox tbody:last-child:last-child tr:last-child td {
        border-bottom: 0;
    }*/


    .tablebox th:last-child {
        border-right: 0;
    }

    .tablebox tbody td:last-child {
        border-right: 0;
    }


    .tablebox table {
        border-collapse: separate;
        border-spacing: 0;
        width: 100%;
        border-left: 0;
        border-top: 0;
    }

table {
    border-collapse: collapse;
    border-spacing: 0;
    border-left: 1px solid #777;
    border-top: 1px solid #777;
}

.fixwidth{
    table-layout:fixed;
}

.fixhead thead {
    background-color: #eee !important;
    z-index: 3;
}

tr {
    height: 50px;
}



th, td {
    border-top: 0;
    border-left: 0;
    border-right: 1px solid #777;
    border-bottom: 1px solid #777;
    vertical-align: middle;
    padding-left: .5rem;
    padding-right: .5rem;
    z-index: 0;
}



.fixhead thead {
    position: sticky;
    top: 0;
}

.fixleft th:nth-child(1),
.fixleft td:nth-child(1) {
    position: sticky;
    left: 0;
    background-color: #eee;
    z-index: 1;
}


.fixend th:nth-last-child(2),
.fixend td:nth-last-child(2) {
    border-right: 0;
}

.fixend th:last-child,
.fixend td:last-child {
    position: sticky;
    right: 0;
    background-color: #eee;
    border-left: 1px solid #777;
}

.fixend td:last-child {
    background-color: #eee;
    z-index: 1;
}

.fixend th:last-child {
    z-index: 2;
}


fluent-dialog {
    z-index: 11;
}

fieldset {
    border: 1px solid #555;
    padding: 10px;
    margin-bottom: 2px;
}

legend {
    font-size: 14px;
    width: unset;
    float: unset;
}


.border {
    border: 1px solid;
    border-color: transparent;
    background: none;
}

.border-warning {
    border-color: orange;
}

.border-primary {
    border-color: steelblue;
}

.border-dark {
    border-color: #777;
}

fluent-badge {
    background-color: #fffeee;
    border: 1px solid red;
    border-radius: 100%;
    width: 22px;
    text-align: center;
}

.bg-light {
    background-color: #fffffe;
}

.m-1 {
    margin: 3px;
}

.row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

    .row > div {
        flex: 1;
    }

.container {
    max-width: 1200px;
    align-self: center;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.p-3 {
    padding: 30px;
}

.overflow-auto {
    overflow: auto;
}

.text-center {
    text-align: center;
}

.fw700 {
    font-weight: 700;
}

.title {
    padding: 20px;
    font-weight: 700;
}
